Retrieve Display Platform Stats
curl --request GET \
--url https://api.hakumedia.ai/v2/reports/display-platform-estimate \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.hakumedia.ai/v2/reports/display-platform-estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.hakumedia.ai/v2/reports/display-platform-estimate"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hakumedia.ai/v2/reports/display-platform-estimate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"object": "platform_estimator",
"url": "/v1/reports/display-platform-estimate",
"data": [
{
"10441": [
{
"platform": [
{
"desktop": 3221,
"mobile": 22.5,
"tablet": 34
}
],
"browser": [
{
"desktop": [
{
"chrome": 3242,
"edge": 23,
"firefox": 234.2,
"ie": 230.154,
"opera": 54,
"other": 23,
"safari": 12.77
}
],
"mobile": [
{
"blackberry": 23.877,
"chrome": 334,
"edge": 5.33,
"firefox": 464,
"opera": 44.87,
"other": 3.876,
"safari": 24,
"samsung": 450.61,
"uc": 60.67
}
]
}
],
"os": [
{
"desktop": [
{
"chrome_os": 232.23,
"linux": 34.12,
"macos": 430.1,
"other": 34.1,
"ubuntu": 66.78,
"windows": 1223.56
}
],
"mobile": [
{
"android": 541.3,
"blackberry": 26.1,
"ios": 45.2,
"other": 87.8,
"windows": 55.8
}
]
}
]
}
]
}
]
}Reportes
Retrieve Display Platform Stats
Retrieve the estimated platform statistics of the specified zones. The platform statistics are comprised of the average impressions per browser and operating system. The impressions are averaged either over 30 days or 7 days, whichever one provides the highest result.
The response includes the total averages for desktop, mobile, and tablet users. The individual averages for each browser and operating system are separated into desktop and mobile platforms.
GET
/
reports
/
display-platform-estimate
Retrieve Display Platform Stats
Authorizations
API key en el header Authorization: Basic TU_API_KEY. La key va tal cual, sin codificar en base64. Las credenciales se entregan al comenzar la integración.
Query Parameters
Specify the display zone IDs for which the platform stats is to be calculated.
Response
default - application/json
successful operation